Spigot Force Field ║ VERSIONS: → [1.7 TO 1.10] ← 1.3

→ A force field for VIPS and members of the STAFF...

  1. Doesn't work on Spigot 1.8.9 (MC 1.8.8) Using Java 8. ;(
     
  2. Hello, you could create version 1.8.9, if you pass me the link to the spigot of that version plz :)
     
  3. Hello, this is Spigot 1.8.8. :D
     
  4. Hello, in 2 or 3 hours climb the udpate to the 1.8. X if it is not giving any error :)
     
  5. Hello,

    Thanks a lot. :D I will tell you if there are/is error(s), ok ?

    Thanks,
    TheIntelloBox.
     
  6. It would be very helpful :), but it seems to me that it does not contain errors. In the configuration add so you can change the name of the sound to make it compatible with the 1.9.X and 1.8.X :)
     
  7. The new UPDATE of the plugin uploaded:) ready already this. In the part UPDATES of the plugin you can find a URL for a list of the sounds of minecraft 1.9 and 1.8. Since your server is 1.8 you'll have to change the settings and get the sound you want from the 1.8 since the one by default is the 1.9 c
     
  8. [16:33:14] [Server thread/ERROR]: null
    org.bukkit.command.CommandException: Unhandled exception executing command 'ff' in plugin Forcefield v1.2
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) ~[spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1162) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:997) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_72]
    at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_72]
    at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:44) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:715) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:374) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_72]
    Caused by: java.lang.NullPointerException: Name is null
    at java.lang.Enum.valueOf(Enum.java:236) ~[?:1.8.0_72]
    at org.bukkit.Sound.valueOf(Sound.java:1) ~[spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    at DeiAlexTVT.a.a.onCommand(Manager.java:60) ~[?:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot-1.8.9.jar:git-Spigot-db6de12-07c3001]
    ... 15 more
     
  9. Hi, I see the error is by what you said before. Not changed the sound of the config and left it as is. The sound that brings the config is for 1.9, you have to go to the CONFIG file. YML and in the part of sound change sound that is there from the gui of your version
    LOOK THIS IS THE CONFIG. YML THAT YOU HAVE TO HAVE. COPY AND PASTE IT IN
    YOURS :)
    PD: I COME BACK IN A COUPLE OF HOURS), THE ERROR 100% SURE WHO IS THAT, AND THE SOLUTION IS REPLACE YOUR CONFIG FOR THE FROM BELOW. :D
    Code (Text):
    FORCE_FIELD:
        FORCE: 1.0
        RADIUS: 2
        PARTICLES:
            ACTIVATE: true
            AMOUNT: 10
        SOUNDS:
            OPEN_GUI: 'LEVEL_UP'
     
    #13 DeiAlexTVT, May 25, 2016
    Last edited: May 25, 2016
  10. errors in MC 1.8


    [21:52:14 INFO]: xXJuanSlaterTXx issued server command: /ff gui [21:52:14 ERROR]: null org.bukkit.command.CommandException: Unhandled exception executing command 'ff' in plugin Forcefield v1.3 at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1162) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:997) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_72] at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_72] at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:44) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:715) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:374) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_72] Caused by: java.lang.IllegalArgumentException: No enum constant org.bukkit.Sound.ENTITY_PLAYER_LEVELUP at java.lang.Enum.valueOf(Enum.java:238) ~[?:1.8.0_72] at org.bukkit.Sound.valueOf(Sound.java:1) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] at DeiAlexTVT.F.O.R.C.E.F.I.E.L.D.a.a.onCommand(Manager.java:64) ~[?:?] at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52] ... 15 more [21:52:16 INFO]: xXJuanSlaterTXx issued server command: /FF ACTIVATE
     
  11. Hello, in the config.yml you have to change the sounds to sounds of Minecraft 1.8. :). Sorry for my English.
     
    • Agree Agree x 1
  12. Tranquilo chico, también hablo español, ¡GRACIAS!.